# RedHat spec file

Summary: XML authoring tool with conversions in various formats.
Name: tbook
Version: 1.4
Release: 3tb
Copyright: LPPL
Group: Applications/Publishing/XML
Source: http://prdownloads.sourceforge.net/tbookdtd/tbook-1.4-linux.tar.gz
url: http://tbookdtd.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-root
icon: tbook32.xpm
Requires: saxon >= 6.5.1
# Conflicts: saxon >= 7

%description
The tbook program is a solution for the desire to offer documents in a
very good print quality, but also on the Internet.  For good print
output you need LaTeX.  But LaTeX cannot be easily transformed to
HTML, especially if non-trivial things like bibliography of formulae
are involved.

With tbook, you write your documents in XML, which is rather
straightforward.  The tbook program transforms them to high-level
LaTeX, HTML, XHTML+MathML and DocBook.  The latter e.g. for RTF
output.  tbook bases on the LaTeX-like tbook DTD developed for this
project, XSLT transformations and further tools, e.g. for Unicode
support.

%define texhash echo -n "Trying to update TeX filename database ... " ; if [ -n "$TETEXDIR" ] ; then TEXHASH="`find $TETEXDIR -name texhash -print`" ; if [ -x "$TEXHASH" ] ; then $TEXHASH ; echo done. ; fi ; else TEXHASH="`which texhash`" ; if [ -x "$TEXHASH" ] ; then $TEXHASH ; echo done. ; else MKTEXLSR="`which mktexlsr`" ; if [ -x "$MKTEXLSR" ] ; then $MKTEXLSR ; echo done. ; else echo "failed.  If it's necessary on your system, do it manually." ; fi ; fi ; fi

%prep
%setup -n tbook-1.4-linux

%build
rm -rf %{buildroot}
sed s+/usr/local/teTeX/share/texmf+%{_datadir}/texmf+ Makefile > sed-out.tmp
mv sed-out.tmp Makefile
sed s+/usr/local/lib/tbook+%{_datadir}/xml/tbook+ Makefile > sed-out.tmp
mv sed-out.tmp Makefile
sed s+/usr/local/bin+%{_bindir}+ Makefile > sed-out.tmp
mv sed-out.tmp Makefile
sed s+/usr/local/lib/xindy/modules/misc+%{_datadir}/xindy/modules/misc+ \
  Makefile > sed-out.tmp
mv sed-out.tmp Makefile
sed s+/usr/local/share/man+%{_mandir}+ Makefile > sed-out.tmp
mv sed-out.tmp Makefile
make LOCAL=""

%install
make LOCAL="" ROOT="$RPM_BUILD_ROOT" install

%clean
rm -Rf %{buildroot}

%post
%{texhash}
SAXON="`which saxon`"
#  Mandrake uses "saxonbatch".  Silly, but there we go.
SAXONBATCH="`which saxonbatch`"
if [ ! -x "$SAXON" ] ; then 
  if [ -x "$SAXONBATCH" ] ; then 
    ln -s $SAXONBATCH %{_bindir}/saxon ; 
    echo "Link %{_bindir}/saxon -> $SAXONBATCH created." ; 
    echo "" > %{_datadir}/xml/tbook/script_created ;
  else
    if [ -e "$SAXON" ] ; then
      echo "No *executable* saxon found.  You may uninstall the current" ;
      echo "saxon and install the saxon RPM from http://sf.net/projects/tbookdtd" ;
    else 
      if [ -e "%{_datadir}/java/saxon.jar" ] ; then
	echo "" > %{_datadir}/xml/tbook/script_created ;
	echo "CLASSPATH=%{_datadir}/java/saxon.jar" > %{_bindir}/saxon ;
	echo "export CLASSPATH" >> %{_bindir}/saxon ;
	echo "java -ms15000000 com.icl.saxon.StyleSheet \$1 \$2 \$3 \$4 \$5 \$6 \$7 \$8 \$9" \
	  >> %{_bindir}/saxon ;
	chmod guo+x %{_bindir}/saxon ;
	echo "Script %{_bindir}/saxon created." ;
      else
	echo "No *executable* saxon found and couldn't create it.  You may uninstall the" ;
	echo "current saxon and install the saxon RPM from http://sf.net/projects/tbookdtd" ;
      fi ;
    fi ;
  fi ;
fi

%preun
if [ -e "%{_datadir}/xml/tbook/script_created" ] ; then
  rm -f %{_datadir}/xml/tbook/script_created ;
  rm -f %{_bindir}/saxon ;
fi

%postun
%{texhash}

%files
%defattr(-, root, root)
%doc manifest.txt COPYING 00readme.txt WHATSNEW TODO doc/tbookman.pdf
#  %config %{_datadir}/xml/tbook/tbtoltx.xsl
#  %config %{_datadir}/xml/tbook/tbtohtml.xsl
#  %config %{_datadir}/xml/tbook/tbtohtml4.xsl
#  %config %{_datadir}/xml/tbook/tbtodb.xsl
%{_bindir}/bibfix
%{_bindir}/tb2xindy
%{_bindir}/tbcrent
%{_bindir}/tbprepare
%{_bindir}/tbrplent
%{_bindir}/tbtodocbk
%{_bindir}/tbtohtml
%{_bindir}/tbtolatex
%{_datadir}/xindy/modules/misc/tbhtml.xdy
%{_datadir}/xindy/modules/misc/tblatex.xdy
%{_datadir}/xindy/modules/misc/tbook.xdy
%{_datadir}/xml/tbook
%{_datadir}/texmf/bibtex/bst/tbook
%{_datadir}/texmf/dvips/config/config.tbook
%{_datadir}/texmf/tex/latex/tbook
%{_mandir}/man1/tbtolatex.1.gz
%{_mandir}/man1/tbtohtml.1.gz
%{_mandir}/man1/tbtodocbk.1.gz
%{_mandir}/man1/tbprepare.1.gz
%{_mandir}/man7/tbook.7.gz
%{_datadir}/doc/tbook/hyper-dtd

%changelog
* Mon Oct 07 2002 Torsten Bronger 
- Bugfix release.
* Mon Oct 04 2002 Torsten Bronger 
- Bugfix release.
* Mon Sep 14 2002 Torsten Bronger 
- Initial RPM release.
